---
- project:
    name: libvirt-tck
    # CentOS 7 and CentOS 8 are missing a number of Perl modules, so we
    # can't build libvirt-tck there
    machines:
      - libvirt-debian-9
      - libvirt-debian-10
      - libvirt-fedora-31
      - libvirt-fedora-32
      - libvirt-fedora-rawhide
      - libvirt-freebsd-11
      - libvirt-freebsd-12
    title: Libvirt TCK
    archive_format: gz
    git_url: '{git_urls[libvirt-tck][default]}'
    jobs:
      - perl-modulebuild-build-job:
          parent_jobs: 'libvirt-perl-build'
      - perl-modulebuild-check-job:
          parent_jobs: 'libvirt-tck-build'
      - perl-modulebuild-rpm-job:
          parent_jobs: 'libvirt-tck-check'
          machines:
            - libvirt-fedora-31
            - libvirt-fedora-32
            - libvirt-fedora-rawhide
